--- debathena-grenew-10.0.2.orig/debian/control
+++ debathena-grenew-10.0.2/debian/control
@@ -0,0 +1,17 @@
+Source: debathena-grenew
+Section: debathena/gnome
+Priority: extra
+Maintainer: Debathena Project <debathena@mit.edu>
+Build-Depends: cdbs,
+ autotools-dev,
+ debhelper,
+ dh-buildinfo,
+ autoconf, libkrb5-dev, libgtk2.0-dev
+Standards-Version: 3.7.2
+
+Package: debathena-grenew
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Graphical dialog to renew Athena credentials
+ The grenew program prompts the user for his or her Kerberos password
+ and uses it to renew credentials for the Athena environment.
--- debathena-grenew-10.0.2.orig/debian/compat
+++ debathena-grenew-10.0.2/debian/compat
@@ -0,0 +1 @@
+4
--- debathena-grenew-10.0.2.orig/debian/control.in
+++ debathena-grenew-10.0.2/debian/control.in
@@ -0,0 +1,13 @@
+Source: debathena-grenew
+Section: debathena/gnome
+Priority: extra
+Maintainer: Debathena Project <debathena@mit.edu>
+Build-Depends: @cdbs@, libkrb5-dev, libgtk2.0-dev
+Standards-Version: 3.7.2
+
+Package: debathena-grenew
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Graphical dialog to renew Athena credentials
+ The grenew program prompts the user for his or her Kerberos password
+ and uses it to renew credentials for the Athena environment.
--- debathena-grenew-10.0.2.orig/debian/changelog
+++ debathena-grenew-10.0.2/debian/changelog
@@ -0,0 +1,36 @@
+debathena-grenew (10.0.2-0debathena1) unstable; urgency=low
+
+  * Attempt to appease compilers using -Werror=format-security.
+    (Trac: #1116)
+
+ -- Benjamin Kaduk <kaduk@mit.edu>  Wed, 18 Jan 2012 01:09:02 -0500
+
+debathena-grenew (10.0.1-0debathena1) unstable; urgency=low
+
+  * Support building on systems where krb5 no longer comes with
+    krb4. (Trac: #380)
+
+ -- Evan Broder <broder@mit.edu>  Sat, 03 Oct 2009 23:20:43 -0400
+
+debathena-grenew (10.0.0-0debathena2) unstable; urgency=low
+
+  * Change DEB_AUTO_UPDATE_AUTOCONF to 2.50, not 1.
+  * Remove DEB_AUTO_UPDATE_DEBIAN_CONTROL.
+  * Change "Debian-Athena Project" to "Debathena Project".
+  * Remove debian/control from version control.
+  * Clean up debian/copyright.
+
+ -- Tim Abbott <tabbott@mit.edu>  Sat, 24 Jan 2009 15:20:43 -0500
+
+debathena-grenew (10.0.0-0debathena1) unstable; urgency=low
+
+  * Add a desktop item.
+  * Describe the package correctly.
+
+ -- Greg Hudson <ghudson@mit.edu>  Thu, 19 Jun 2008 16:41:37 -0400
+
+debathena-grenew (9.4.0+cvs20060726-0debathena1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Wed, 15 Aug 2007 22:48:22 -0400
--- debathena-grenew-10.0.2.orig/debian/copyright
+++ debathena-grenew-10.0.2/debian/copyright
@@ -0,0 +1,23 @@
+This package was debianized as part of the Debathena Project
+<http://debathena.mit.edu/> of the MIT Student Information Processing
+Board.
+
+The Athena source code was obtained from the Athena SVN repository at
+<svn://debathena.mit.edu/athena/trunk>, and is licensed as follows:
+
+  Copyright © 1996 by the Massachusetts Institute of Technology.
+
+  Permission to use, copy, modify, and distribute this
+  software and its documentation for any purpose and without
+  fee is hereby granted, provided that the above copyright
+  notice appear in all copies and that both that copyright
+  notice and this permission notice appear in supporting
+  documentation, and that the name of M.I.T. not be used in
+  advertising or publicity pertaining to distribution of the
+  software without specific, written prior permission.
+  M.I.T. makes no representations about the suitability of
+  this software for any purpose.  It is provided "as is"
+  without express or implied warranty.
+
+The Debian packaging is Copyright © 2007-2008 Tim Abbott and Anders
+Kaseorg, and has the same license as the original software.
--- debathena-grenew-10.0.2.orig/debian/rules
+++ debathena-grenew-10.0.2/debian/rules
@@ -0,0 +1,18 @@
+#!/usr/bin/make -f
+
+DEB_AUTO_UPDATE_AUTOCONF = 2.50
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+
+KRB5_VERSION = $(shell dpkg-query --showformat='$${Version}' --show libkrb5-dev)
+
+ifeq ($(shell dpkg --compare-versions $(KRB5_VERSION) '<<' '1.7~' && echo y),y)
+	DEB_CONFIGURE_EXTRA_FLAGS += --with-krb4=$(shell krb4-config --prefix krb4)
+else
+	DEB_CONFIGURE_EXTRA_FLAGS += --without-krb4
+endif
+
+DEB_CONFIGURE_EXTRA_FLAGS += --with-krb5
+
+clean::
+	rm -f configure
--- debathena-grenew-10.0.2.orig/debian/grenew.desktop
+++ debathena-grenew-10.0.2/debian/grenew.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Renew Authentication
+Comment=You will need to renew every 10 hours of a login session.
+Exec=grenew
+Terminal=false
+Type=Application
+Icon=gnome-run
+Categories=System;
--- debathena-grenew-10.0.2.orig/debian/debathena-grenew.install
+++ debathena-grenew-10.0.2/debian/debathena-grenew.install
@@ -0,0 +1 @@
+debian/grenew.desktop usr/share/applications
